image: python:3.6.9

test:
  before_script:
    - pip3 install pipenv
    - pipenv install

  script:
    - pipenv run pytest tests/api -sv --alluredir=allure_results

  after_script:
    - allure generate allure_results
